#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xDC,0xB2,0x26,0x06,0x40,0xA6,0xE8,0xA2,0x24,0x3F,0x93,0x55,
		0x0E,0x7E,0x2A,0x5F,0xD6,0x6D,0x3C,0x3A,0x14,0x7D,0x76,0x29,
		0xFD,0x29,0x7B,0xC7,0x61,0x7F,0xC5,0xD2,0xA1,0xE0,0x8D,0x58,
		0x8A,0xCB,0x48,0x23,0x52,0xB5,0xA4,0x03,0x7E,0x65,0x1A,0x49,
		0x69,0x9E,0x55,0x62,0x8B,0x0A,0x14,0xFF,0x62,0xA5,0x9C,0x14,
		0x4F,0x8C,0x19,0x33,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
